# $Revision: 1.16 $, $Date: 2011/03/19 06:26:32 $
%define		_ver_major	5.5
%define		_ver_minor	2.0
Summary:	Mixed Integer Linear Program solver
Summary(pl.UTF-8):	Biblioteka i narzędzie do rozwiązywania problemu programowania liniowego
Name:		lp_solve
Version:	%{_ver_major}.%{_ver_minor}
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lpsolve/%{name}_%{version}_source.tar.gz
# Source0-md5:	167c0fb4ab178e0b7ab50bf0a635a836
Patch0:		%{name}-shared.patch
URL:		http://lpsolve.sourceforge.net/5.5/
BuildRequires:	COLAMD-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The linear programming (LP) problem can be formulated as: Solve A.x >=
V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
variables, V1 is a vector called the right hand side, and V2 is a
vector specifying the objective function.

An integer linear programming (ILP) problem is an LP with the
constraint that all the variables are integers. In a mixed integer
linear programming (MILP) problem, some of the variables are integer
and others are real.

The program lp_solve solves LP, ILP, and MILP problems. It is slightly
more general than suggested above, in that every row of A (specifying
one constraint) can have its own (in)equality, <=, >= or =. The result
specifies values for all variables.

lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
pure LP problems. If one or more of the variables is declared integer,
the Simplex algorithm is iterated with a branch and bound algorithm,
until the desired optimal solution is found. lp_solve can read MPS
format input files.

%description -l pl.UTF-8
Problem programowania liniowego (LP - Linear Programming) można
określić następująco: rozwiązać A.x >= V1 z maksymalnym V2.x. A jest
macierzą. x jest wektorem (nieujemnych) zmiennych, V1 jest wektorem
zwanym prawą stroną, a V2 jest wektorem określającym funkcję celu.

Problem całkowitoliczbowego programowania liniowego (ILP - Integer LP)
LP z ograniczeniem zmiennych do liczb całkowitych. Problem mieszanego
całkowitoliczbowego programowania liniowego (MILP - Mixed ILP) dotyczy
sytuacji kiedy część zmiennych jest całkowita, a reszta rzeczywista.

Program lp_solve rozwiązuje problemy LP, ILP i MILP. Jest nieco
bardziej ogólny niż napisano powyżej, ponieważ każdy wiersz A
(określający jedno ograniczenie) może mieć własną (nie)równość: <=, >=
lub =. Wynik określa wartości wszystkich zmiennych.

lp_solve używa algorytmu "Simplex" i metod dla macierzy rzadkich do
zwykłych problemów LP. Jeśli jedna lub więcej zmiennych zostanie
określona jako całkowita, algorytm Simplex jest iterowany algorytmem
"branch and bound" do osiągnięcia pożądanego optymalnego rozwiązania.
lp_solve potrafi czytać pliki wejściowe w formacie MPS.

%package devel
Summary:	liblpsolve header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblpsolve
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
liblpsolve header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblpsolve.

%package static
Summary:	Static liblpsolve library
Summary(pl.UTF-8):	Statyczna biblioteka liblpsolve
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblpsolve library.

%description static -l pl.UTF-8
Statyczna biblioteka liblpsolve.

%prep
%setup -q -n %{name}_%{_ver_major}
%patch0 -p1

%{__rm} -r colamd

%build
cd lpsolve55
CC="%{__cc}" CFLAGS="%{rpmcflags} %{rpmcppflags} -I/usr/include/colamd" sh -x ccc
cd ../lp_solve
CC="%{__cc}" CFLAGS="%{rpmcflags} %{rpmcppflags} -I/usr/include/colamd" sh -x ccc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}/lpsolve}

install lp_solve/bin/ux*/lp_solve $RPM_BUILD_ROOT%{_bindir}/lpsolve
install lpsolve55/bin/ux*/liblpsolve55.a $RPM_BUILD_ROOT%{_libdir}/liblpsolve.a
install lpsolve55/bin/ux*/liblpsolve55.so $RPM_BUILD_ROOT%{_libdir}
ln -sf liblpsolve55.so $RPM_BUILD_ROOT%{_libdir}/liblpsolve.so
cp -a lp*.h $RPM_BUILD_ROOT%{_includedir}/lpsolve

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/lpsolve
%attr(755,root,root) %{_libdir}/liblpsolve55.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblpsolve.so
%{_includedir}/lpsolve

%files static
%defattr(644,root,root,755)
%{_libdir}/liblpsolve.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lp_solve.spec,v $
Revision 1.16  2011/03/19 06:26:32  qboosh
- updated to 5.5.2.0
- updated shared patch

Revision 1.15  2007/04/04 11:38:40  qboosh
- todo completed

Revision 1.14  2007/04/04 11:37:25  qboosh
- updated pl desc

Revision 1.13  2007/03/26 23:39:29  glen
- use system colamd

Revision 1.12  2007/03/26 21:54:41  glen
- better URL

Revision 1.11  2007/03/26 21:53:41  glen
- longer description from debian

Revision 1.10  2007/03/26 21:40:12  glen
- update to 5.5.0.10

Revision 1.9  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.7  2004/03/15 22:08:44  qboosh
- lib64 fixes, release 2

Revision 1.6  2004/03/15 00:02:25  qboosh
- strict internal deps

Revision 1.5  2003/08/01 13:40:15  qboosh
- merged 4.0 from DEVEL

Revision 1.1.2.3  2003/07/11 01:34:19  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.1.2.2  2003/01/15 21:12:06  qboosh
- up to final 4.0 (still DEVEL - perl-Math-LP-Solve is not ready for this ver.)
- added --mode for libtool in shared patch

Revision 1.1.2.1  2002/12/08 19:29:22  qboosh
- prepared for 4.0 (beta1 - not usable yet)
